EssenceElementImpl (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.io.mxf.impl

## Class EssenceElementImpl

- java.lang.Object
- - tv.amwa.maj.io.mxf.impl.EssenceElementImpl

- All Implemented Interfaces:
    EssenceElement, MXFUnit, XMLSerializable

      public class EssenceElementImpl
      extends Object
      implements EssenceElement, XMLSerializable

- - ### Field Summary

    - ### Fields inherited from interface tv.amwa.maj.io.mxf.EssenceElement

      `CPData, CPPicture, CPSound, ELEMENT_COUNT_INDEX, ELEMENT_NUMBER_INDEX, ELEMENT_TYPE_INDEX, essenceElementBase, GCCompound, GCData, GCPicture, GCSound, ITEM_TYPE_INDEX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EssenceElementImpl()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appendXMLChildren(Node parent)` Append extra child elements to the given parent node to serialize the value of an object to an XML fragment.
    `String` | `getComment()` Include a comment when serializing a value to XML.
    `ByteBuffer` | `getData()`
    `byte` | `getElementCount()`
    `byte` | `getElementNumber()`
    `byte` | `getElementType()`
    `int` | `getEssenceTrackIdentifier()`
    `byte` | `getItemType()`
    `UnitType` | `getUnitType()`
    `static boolean` | `isEssenceElement(UL key)`
    `static EssenceElement` | `make(UL elementKey, ByteBuffer data)`
    `void` | `setData(ByteBuffer data)`
    `void` | `setElementCount(byte elementCount)`
    `void` | `setElementNumber(byte elementNumber)`
    `void` | `setElementType(byte elementType)`
    `void` | `setItemType(byte itemType)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EssenceElementImpl

          public EssenceElementImpl()

  - ### Method Detail

    - #### getData

          public ByteBuffer getData()

    - #### setData

          public void setData(ByteBuffer data)

    - #### isEssenceElement

          public static final boolean isEssenceElement(UL key)

    - #### make

          public static final EssenceElement make(UL elementKey,
                                                  ByteBuffer data)

    - #### getItemType

          public byte getItemType()

    - #### setItemType

          public void setItemType(byte itemType)

    - #### getElementCount

          public byte getElementCount()

    - #### setElementCount

          public void setElementCount(byte elementCount)

    - #### getElementType

          public byte getElementType()

    - #### setElementType

          public void setElementType(byte elementType)

    - #### getElementNumber

          public byte getElementNumber()

    - #### setElementNumber

          public void setElementNumber(byte elementNumber)

    - #### getEssenceTrackIdentifier

          public int getEssenceTrackIdentifier()

    - #### appendXMLChildren

          public void appendXMLChildren(Node parent)

      Description copied from interface: `XMLSerializable`

      Append extra child elements to the given parent node to serialize the value of an object to an XML fragment. Methods of the `XMLBuilder` class are provided to help with this process.

      Specified by:
        `appendXMLChildren` in interface `XMLSerializable`
      Parameters:
        `parent` - XML parent element to append child nodes to.

    - #### getComment

          public String getComment()

      Description copied from interface: `XMLSerializable`

      Include a comment when serializing a value to XML. The comment will be inserted as the first child node of the element representing the class.

      Specified by:
        `getComment` in interface `XMLSerializable`
      Returns:
        Comment to add as the first child node of the element representing this class.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getUnitType

          public UnitType getUnitType()

      Specified by:
        `getUnitType` in interface `MXFUnit`

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.